Bug 526226 - --label kickstart option doesn't create a label on the file system
Summary: --label kickstart option doesn't create a label on the file system
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 526242
TreeView+ depends on / blocked
 
Reported: 2009-09-29 11:13 UTC by Alexander Todorov
Modified: 2009-11-30 12:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 526242 (view as bug list)
Environment:
Last Closed: 2009-10-02 20:20:15 UTC


Attachments (Terms of Use)

Description Alexander Todorov 2009-09-29 11:13:30 UTC
Description of problem:
A ks.cfg with the --label option in the part command doesn't create a label on the file system. 

Version-Release number of selected component (if applicable):
anaconda-12.31-1.fc12.x86_64.rpm
pykickstart-1.63-1.fc12.noarch.rpm


How reproducible:
always

Steps to Reproduce:
1.Install with ks.cfg that has:
part /multi-stage --fstype="ext3" --size=100 --label=MULTISTAGE
2.
3.
  
Actual results:
The partition is created and identified by its UUID. No label is created. See blkid output and /etc/fstab below.

Expected results:
The filesystem on this partition has a label

Additional info:
/etc/fstab is:
#
# /etc/fstab
# Created by anaconda on Tue Sep 29 06:32:18 2009
#
# Accessible filesystems, by reference, are maintained under '/dev/disk'
# See man pages fstab(5), findfs(8), mount(8) and/or blkid(8) for more info
#
/dev/mapper/SNAKEVG-SNAKEROOT /                       ext3    defaults        1 1
/dev/mapper/SNAKEVG-SNAKELV0 /SNAKE-LV0              ext3    defaults        1 2
UUID=19adb7c8-07aa-42b0-b546-7bb72185a78e /boot                   ext4    defaults        1 2
UUID=41cccbfc-4c2f-47ce-aca2-91b19ecc4919 /multi-stage            ext3    defaults        1 2
/dev/mapper/SNAKEVG-SNAKE_SWAP swap                    swap    defaults        0 0
UUID=c41642b1-bcb5-4b9f-9136-7ed48958681d swap                    swap    defaults        0 0
tmpfs                   /dev/shm                tmpfs   defaults        0 0
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
sysfs                   /sys                    sysfs   defaults        0 0
proc                    /proc                   proc    defaults        0 0



blkid output is:
/dev/sda1: UUID="19adb7c8-07aa-42b0-b546-7bb72185a78e" TYPE="ext4" 
/dev/sda2: UUID="dWDUce-QsxD-edGd-3AxF-4ke0-oT5N-CEvJj1" TYPE="LVM2_member" 
/dev/sda3: UUID="41cccbfc-4c2f-47ce-aca2-91b19ecc4919" TYPE="ext3" 
/dev/sdb1: UUID="bOx7Wl-qeES-rX0c-q0ke-TsMy-aTsW-HicpHD" TYPE="LVM2_member" 
/dev/sdb2: LABEL="SWAP" UUID="c41642b1-bcb5-4b9f-9136-7ed48958681d" TYPE="swap" 
/dev/mapper/SNAKEVG-SNAKEROOT: UUID="c5266e5c-b20a-4c9b-9f6e-9ab80746554c" TYPE="ext3" 
/dev/mapper/SNAKEVG-SNAKE_SWAP: UUID="17bdd538-1a4a-44d4-8329-c641a6a4906b" TYPE="swap" 
/dev/mapper/SNAKEVG-SNAKELV0: UUID="97606bcc-1e49-42ce-8c6e-42e37dcacd07" TYPE="ext3" 


The /dev/sda3 is the partition mounted under /multi-stage. blkid reports UUID only not LABEL while for the sdb2 partition it reports both LABEL and UUID.

Comment 2 David Cantrell 2009-10-02 20:20:15 UTC
This will either be fixed in anaconda-12.33-1 or anaconda-13.0-1, whichever comes next for rawhide.


Note You need to log in before you can comment on or make changes to this bug.